Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## jet.server.api.http
Interface CustomizedServerEnv

    public interface CustomizedServerEnv

The `CustomizedServerEnv` is used to customize JReport self-contained server startup environment. The startup environment includes JReport server reporthome and the server's properties, i.e. the contents of ${reporthome}/bin/server.properties.

This class should be implemented by users if they want to control JReport server's reporthome and server properties.

The name of this class should be passed to JReport server with the key `jreport.servenv` before JReport self-contained server initializing.

Users could set this class by VM -D parameter, or by putting into the `Properties` when invoking `HttpUtil.initEnv()`, or by configuring in web.xml or ejb-jar.xml

Field Summary
`static java.lang.String` | `CLASS_NAME` The environment name that indicates the class name of user implemented `CustomizedServerEnv`.

Method Summary
`java.lang.String` | `getReportHome()` Gets the customized JReport server report home.
`java.util.Properties` | `getServerProperties()` Gets the properties which users want to merge to server.properties file.

Field Detail

### CLASS_NAME

    static final java.lang.String CLASS_NAME

  The environment name that indicates the class name of user implemented `CustomizedServerEnv`.

  See Also:
    Constant Field Values

Method Detail

### getReportHome

    java.lang.String getReportHome()

  Gets the customized JReport server report home.

  It can be a blank folder in the file system, and should have privileges of read and write.

  It can be null, that is to say, not specifying reporthome for JReport server, then the JReport server will use '${user.home}/.jreport' as the default reporthome.

  Returns:
    the report home for JReport server

### getServerProperties

    java.util.Properties getServerProperties()

  Gets the properties which users want to merge to server.properties file.

  All properties in this `Properties` will be merged into server.properties file before JReport server startup.

  Returns:
    the `Properties`. It can be null, then nothing will be specified for JReport server.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD